Actions: N
How to set up each action of the 8 apps starting with N.
Apps starting with N. Add any of these from Integrations → n8n → Add tools → Browse apps; see Set up an action for each way a key is sent, and the catalog index for every app.
#n8n
- n8n node: n8n (
n8n-nodes-base.n8n, version 1), 15 actions. - n8n performs it: runs on the n8n credential n8n API (how to set it up).
- Veefore performs it: not available. n8n is not a web API (a database, queue, file transfer or local step), so only n8n can perform it.
n8n in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Generate a security audit | n8n performs it | — |
| Create a credential | n8n performs it | name, credentialTypeName, data |
| Delete a credential | n8n performs it | credentialId |
| Get credential data schema for type | n8n performs it | credentialTypeName |
| Get an execution | n8n performs it | executionId |
| Get many executions | n8n performs it | — |
| Delete an execution | n8n performs it | executionId |
| Publish a workflow | n8n performs it | workflowId |
| Create a workflow | n8n performs it | workflowObject |
| Unpublish a workflow | n8n performs it | workflowId |
| Delete a workflow | n8n performs it | workflowId |
| Get a workflow | n8n performs it | workflowId |
| Get many workflows | n8n performs it | — |
| Get a workflow version | n8n performs it | workflowId, versionId |
| Update a workflow | n8n performs it | workflowId, workflowObject |
#NASA
- n8n node: NASA (
n8n-nodes-base.nasa, version 1), 15 actions. - n8n performs it: runs on the n8n credential NASA API (how to set it up).
- Veefore performs it: 15 of 15 actions, with the key in the query string, as
?api_key=<key>. - You enter: API key.
- API address:
https://api.nasa.gov. - Get the key: api.nasa.gov
NASA in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Get many asteroid neos | GET /neo/rest/v1/neo/browse |
— |
| Get an asteroid neo feed | GET /neo/rest/v1/feed |
— |
| Get an asteroid neo lookup | GET /neo/rest/v1/neo/{asteroidId} |
asteroidId |
| Get the astronomy picture of the day | GET /planetary/apod |
binaryPropertyName |
| Get a DONKI coronal mass ejection | GET /DONKI/CME |
— |
| Get a DONKI high speed stream | GET /DONKI/HSS |
— |
| Get a DONKI interplanetary shock | GET /DONKI/IPS |
— |
| Get a DONKI magnetopause crossing | GET /DONKI/MPC |
— |
| Get a DONKI notifications | GET /DONKI/notifications |
— |
| Get a DONKI radiation belt enhancement | GET /DONKI/RBE |
— |
| Get a DONKI solar energetic particle | GET /DONKI/SEP |
— |
| Get a DONKI solar flare | GET /DONKI/FLR |
— |
| Get a DONKI wsa enlil simulation | GET /DONKI/WSAEnlilSimulations |
— |
| Get Earth assets | GET /planetary/earth/assets |
— |
| Get Earth imagery | GET /planetary/earth/imagery |
binaryPropertyName |
#Netlify
- n8n node: Netlify (
n8n-nodes-base.netlify, version 1), 7 actions. - n8n performs it: runs on the n8n credential Netlify API (how to set it up).
- Veefore performs it: 7 of 7 actions, with a bearer token, sent as
Authorization: Bearer <token>. - You enter: Token.
- API address:
https://api.netlify.com/api/v1. - Get the key: app.netlify.com
Netlify in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Cancel a deployment | POST /deploys/{deployId}/cancel |
deployId |
| Create a deployment | POST /sites/{siteId}/deploys |
siteId |
| Get a deployment | GET /sites/{siteId}/deploys/{deployId} |
siteId, deployId |
| Get many deployments | GET /sites/{siteId}/deploys |
siteId |
| Delete a site | DELETE /sites/{siteId} |
siteId |
| Get a site | GET /sites/{siteId} |
siteId |
| Get many sites | GET /sites |
— |
#Netscaler ADC
- n8n node: Netscaler ADC (
n8n-nodes-base.citrixAdc, version 1), 5 actions. - n8n performs it: runs on the n8n credential Netscaler ADC API (how to set it up).
- Veefore performs it: 5 of 5 actions, with the key in a header, as
X-NITRO-PASS: <key>. - You enter: API key, Username.
- Also sent: Username in the
X-NITRO-USERheader. - API address:
https://{host}/nitro/v1.
Netscaler ADC in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Create a certificate | POST /config/sslcert?action=create |
certificateFileName, certificateFormat, certificateType, certificateRequestFileName, privateKeyFileName, privateKeyFormat and 1 more |
| Install a certificate | POST /config/sslcertkey |
certificateKeyPairName, certificateFileName, privateKeyFileName, certificateFormat, password, notifyExpiration and 1 more |
| Delete a file | DELETE /config/systemfile?args=filename:{fileName},filelocation:{fileLocation} |
fileLocation, fileName, host |
| Download a file | GET /config/systemfile?args=filename:{fileName},filelocation:{fileLocation} |
fileLocation, fileName, binaryProperty, host |
| Upload a file | POST /config/systemfile |
fileLocation, binaryProperty, host |
#Nextcloud
- n8n node: Nextcloud (
n8n-nodes-base.nextCloud, version 1), 17 actions. - n8n performs it: runs on the n8n credential NextCloud API (how to set it up).
- Veefore performs it: 7 of 17 actions, with HTTP basic auth: username Username, password App password.
- You enter: Username, App password.
- API address:
https://{host}.
Nextcloud in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Copy a file | n8n performs it | path, toPath |
| Delete a file | n8n performs it | path |
| Download a file | n8n performs it | path, binaryPropertyName |
| Move a file | n8n performs it | path, toPath |
| Share a file | POST /ocs/v2.php/apps/files_sharing/api/v1/shares |
path, host |
| Upload a file | n8n performs it | path, binaryDataUpload |
| Copy a folder | n8n performs it | path, toPath |
| Create a folder | n8n performs it | path |
| Delete a folder | n8n performs it | path |
| List a folder | n8n performs it | — |
| Move a folder | n8n performs it | path, toPath |
| Share a folder | POST /ocs/v2.php/apps/files_sharing/api/v1/shares |
path, host |
| Create a user | POST /ocs/v1.php/cloud/users |
userId, email, host |
| Delete a user | DELETE /ocs/v1.php/cloud/users/{userId} |
userId, host |
| Get a user | GET /ocs/v1.php/cloud/users/{userId} |
userId, host |
| Get many users | GET /ocs/v1.php/cloud/users |
host |
| Update a user | PUT /ocs/v1.php/cloud/users/{userId} |
userId, host |
#NocoDB
- n8n node: NocoDB (
n8n-nodes-base.nocoDb, version 4), 13 actions. - n8n performs it: runs on the n8n credential NocoDB (how to set it up).
- Veefore performs it: 13 of 13 actions, with the key in a header, as
xc-auth: <key>. - You enter: API key.
- API address:
https://{host}.
NocoDB in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Create a row | POST /api/v3/data/{projectId}/{table}/records |
projectId, table, host |
| Create or update a row | POST /api/v3/data/{projectId}/{table}/records |
projectId, table, host |
| Update a row | PATCH /api/v3/data/{projectId}/{table}/records |
projectId, table, id, host |
| Delete a row | DELETE /api/v3/data/{projectId}/{table}/records |
projectId, table, id, host |
| Get a row | GET /api/v3/data/{projectId}/{table}/records/{id} |
projectId, table, id, host |
| Search rows | GET /api/v3/data/{projectId}/{table}/records |
projectId, table, host |
| Count rows | GET /api/v3/data/{projectId}/{table}/count |
projectId, table, host |
| Upload attachment to a row cell | POST /api/v3/data/{projectId}/{table}/records/{id}/fields/{uploadFieldName}/upload |
projectId, table, id, uploadMode, uploadFieldName, filename and 3 more |
| Get linked rows | GET /api/v3/data/{projectId}/{table}/links/{linkFieldName}/{id} |
projectId, table, id, linkFieldName, host |
| Link a row | POST /api/v3/data/{projectId}/{table}/links/{linkFieldName}/{id} |
projectId, table, id, linkFieldName, linkId, host |
| Unlink a row | DELETE /api/v3/data/{projectId}/{table}/links/{linkFieldName}/{id} |
projectId, table, id, linkFieldName, linkId, host |
| Get many bases | GET /api/v2/meta/bases/ |
host |
| Get one base | GET /api/v3/meta/bases/{projectId} |
projectId, host |
#Notion
- n8n node: Notion (
n8n-nodes-base.notion, version 3), 17 actions. - n8n performs it: runs on the n8n credential Notion API (how to set it up).
- Veefore performs it: 17 of 17 actions, with a bearer token, sent as
Authorization: Bearer <token>. - You enter: Integration secret.
- API address:
https://api.notion.com/v1. - Get the key: notion.com
Notion in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Append a block | PATCH /blocks/{blockId}/children |
blockId |
| Get block markdown | GET /pages/{blockId}/markdown |
blockId |
| Get many child blocks | GET /blocks/{blockId}/children |
blockId |
| Get a data source | GET /data_sources/{dataSourceId} |
dataSourceId |
| Search data sources | POST /search |
— |
| Get a database | GET /databases/{databaseId} |
databaseId |
| Create a database page | POST /pages |
dataSourceId, title |
| Get a database page | GET /pages/{pageId} |
pageId |
| Get many database pages | POST /data_sources/{dataSourceId}/query |
dataSourceId |
| Update a database page | PATCH /pages/{pageId} |
pageId |
| Archive a page | PATCH /pages/{pageId} |
pageId |
| Create a page | POST /pages |
pageId, title |
| Get page markdown | GET /pages/{pageId}/markdown |
pageId |
| Search a page | POST /search |
— |
| Update page markdown | PATCH /pages/{pageId}/markdown |
pageId |
| Get a user | GET /users/{userId} |
userId |
| Get many users | GET /users |
— |
#Npm
- n8n node: Npm (
n8n-nodes-base.npm, version 1), 5 actions. - n8n performs it: runs on the n8n credential Npm API (how to set it up).
- Veefore performs it: 5 of 5 actions, with a bearer token, sent as
Authorization: Bearer <token>. - You enter: Token.
- API address:
https://registry.npmjs.org. - Get the key: docs.npmjs.com
Npm in n8n
| Action | Veefore calls | Fields to fill |
|---|---|---|
| Returns all the metadata for a package at a specific version | GET /{packageName}/{packageVersion} |
packageName, packageVersion |
| Returns all the versions for a package | GET /{packageName} |
packageName |
| Search for packages | GET /-/v1/search |
query |
| Returns all the dist-tags for a package | GET /-/package/{packageName}/dist-tags |
packageName |
| Update a the dist-tags for a package | PUT /-/package/{packageName}/dist-tags/{distTagName} |
packageName, packageVersion, distTagName |